Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 479157 - kernel-error.log: Couldn't create process pool: Couldn't create output dir /var/lib/nocpulse/NPkernel.out: Permission denied
Summary: kernel-error.log: Couldn't create process pool: Couldn't create output dir /v...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Server
Version: 0.4
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Milan Zázrivec
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2009-01-07 16:48 UTC by Milan Zázrivec
Modified: 2009-01-22 16:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:31:29 UTC


Attachments (Terms of Use)

Description Milan Zázrivec 2009-01-07 16:48:52 UTC
Description of problem:
* New Spacewalk 0.4 installation
* Enabled monitoring + monitoring scout
* /var/log/nocpulse/kernel-error.log full of error messages like this:

2009-01-07 17:42:21 Starting kernel
Couldn't create process pool: Couldn't create output dir /var/lib/nocpulse/NPker
nel.out: Permission denied

* # ls -l /var/log/nocpulse/
total 60
-rw-r--r-- 1 nocpulse nocpulse 13087 Jan  7 17:57 dequeue.log
-rw-r--r-- 1 root     root         0 Jan  7 17:42 Dequeuer-errors.log
-rw-r--r-- 1 nocpulse nocpulse  2802 Jan  7 17:56 generate_config.log
-rw-r--r-- 1 root     root     12870 Jan  7 17:56 kernel-error.log
-rw-r--r-- 1 nocpulse nocpulse  3240 Jan  7 17:56 kernel.log
-rw-rw-r-- 1 nocpulse nocpulse  1732 Jan  7 17:56 notif-escalator.log
-rw-rw-r-- 1 nocpulse nocpulse  1794 Jan  7 17:57 notifier.log
-rw-rw-r-- 1 nocpulse nocpulse  2622 Jan  7 17:57 notif-launcher.log
-rw-r--r-- 1 root     root         0 Jan  7 17:42 SputLite-errors.log
drwxr-xr-x 5 apache   apache    4096 Jan  7 17:43 TSDBLocalQueue
-rw-r--r-- 1 root     root       106 Jan  7 17:47 TSDBLocalQueue-errors.log

# ps uax|grep kernel
root      8342  0.0  0.4  15008  4232 ?        S    17:47   0:00 /usr/bin/perl /usr/bin/gogo.pl --fname=Dispatcher --user=nocpulse --hbfile=/var/log/nocpulse/kernel.log --hbfreq=300 --hbcheck=600 -- /usr/bin/kernel.pl --loglevel 1

Comment 1 Milan Zázrivec 2009-01-12 11:00:08 UTC
Fixed in 94633d179ed91f1f9ac62ceeb1725aca081a29ec

Comment 2 Miroslav Suchý 2009-01-15 13:22:58 UTC
[root@dhcp77-206 tmp]# grep NPkernel.out /var/log/nocpulse/kernel-error.log
[root@dhcp77-206 tmp]#
VERIFIED


Note You need to log in before you can comment on or make changes to this bug.